Subject: DIP patches
From: Uri Blumenthal <[email-masked]>
Date: Wed, 1 Jun 1994 01:11:27 GMT
Newsgroups: comp.os.linux.announce

[dip allows you to dial and initiate a connection with a SLIP server.
These patches add functionality and fix problems with one version
of dip, on sunsite. --mdw]

Hi,

FInally, after struggling with your patch and failing to
get it to work (as well, as another patch from Eric), I
finally sat down and wrote the code myself. The new
features are:

1. Interface name is added to "route" command invocations in "attach.c".

2. Global path specification of DIP executable is now processed correctly.

3. Placing the terminal in and out of "notlocal" is now fixed (or at least
   I think so) until the kernel behavior changes again. This was done for
   kernel 1.1.16.

4. /etc/diphosts file format has CHANGED. Two new fields are added: server
   host name (or IP address) in addition to just client name/IP address,
   and netmask the server wants/will use on this interface.

I haven't figured out yet how to deal with passwords - but I'll do it later.
The code is going to appear on "sunsite.unc.edu", likely in
"pub/Linux/Incoming", file's "dip337b-uri.tgz".
--
Regards,
Uri.		[email-masked]     N2RIU
------------
<Disclaimer>

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.